<template lang="pug">
buttons( :vertical='isTablet || isPhone' )
	r-button( v-if='!isAuthorized' as="router-link" :to='{ name: "Login" }' ) {{ $t("buttons.connect_wallet") }}
	r-button.logout( v-else asset="logout" @click="logout" ) {{ $t("buttons.logout") }}
</template>

<script lang="ts">
import Vue from "vue"
import Component from "vue-class-component";
import { VModel, Prop, Watch } from "vue-property-decorator";

@Component
export default class NavButtons extends Vue {
  get isAuthorized() {
    return this.$store.getters["Web3Module/isAuthorized"]
  }

  logout() {
    this.$store.dispatch("Web3Module/reset")  
  }
}
</script>

<style lang="scss" scoped>
$gap: .625rem;
$gap-mobile: .45rem;

.btns {
	margin: -#{$gap};
	.btn {
		margin: $gap;
		&::v-deep {
			svg {
				width: .5rem;
			}
		}
	}

	@include max_tablet {
		margin: -#{$gap-mobile};
		.btn {
			margin: $gap-mobile;
		}	
	}
}

.logout {
	&::v-deep {
		svg {
			width: 1rem!important;
		}
	}
}
</style>